## chrony 4.8

=== debian/changelog ===
chrony (4.8-2) unstable; urgency=medium

  * debian/rules:
    - Specify default chronyc user. This is the user to which chronyc will
    switch when it is started under root.

  * debian/chrony.service:
    - Allow chronyd to run inside the Windows Subsystem for Linux.
    (LP: #2122337)

  * debian/watch:
    - Version: field should live in its own paragraph.

 -- Vincent Blut <vincent.debian@free.fr>  Tue, 14 Oct 2025 19:34:50 +0200

chrony (4.8-1) unstable; urgency=medium

  * Import upstream version 4.8:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * Merge branch 'debian/unstable' into debian/latest.

  * Upload to unstable.

  * debian/chrony.sysusers:
    - Install a sysusers.d file to create the _chrony system user/group.

  * debian/control:
    - Build-depend on dh-sequence-installsysusers.
    - Drop unused adduser dependency.

  * debian/postinst:
    - Drop adduser invocation. The _chrony system user/group is now created
    using a sysusers.d fragment.
    - Allocate the _chrony system user/group before running dpkg-statoverride
    commands.

  * debian/postrm:
    - Don't delete the _chrony system user/group during purge.
    Deleting it is risky because sensitive files belonging to this uid might
    remain on the filesystem and could be recovered by another system user
    reusing the same uid.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.
    - Get clknetsim from Gitlab.

  * debian/watch:
    - Update to version 5.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 27 Aug 2025 15:22:42 +0200

chrony (4.8~pre1-1) experimental; urgency=medium

  * Import upstream version 4.8-pre1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/control:
    - Drop 'Priority: optional'. dpkg sets it by default if omitted.
    - Drop 'Rules-Requires-Root: no'. dpkg sets it by default if omitted.

  * debian/copyright:
    - Add a few entries and update copyright year.

  * debian/test/upstream-simulation-test-suite:
    - Update clknetsim version.

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 14 Aug 2025 17:46:23 +0200

chrony (4.7-3) unstable; urgency=medium

  * debian/patches/:
    - Add skip-flaky-007-cmdmon-system-test.patch. Upstream system test
    007-cmdmon fails intermittently. Skip it! (Closes: #1111222)

 -- Vincent Blut <vincent.debian@free.fr>  Sat, 16 Aug 2025 13:34:52 +0200

chrony (4.7-2) unstable; urgency=medium

  [ Vincent Blut ]
  * Upload to unstable.

  * debian/control:
    - Suggest gpsd.

  [ Lukas Märdian ]
  * debian/usr.sbin.chronyd:
    - Grant access to sd_notify's $NOTIFY_SOCKET.

 -- Vincent Blut <vincent.debian@free.fr>  Sun, 10 Aug 2025 15:12:28 +0200

=== debian/control ===
Source: chrony
Section: net
Maintainer: Vincent Blut <vincent.debian@free.fr>
Standards-Version: 4.7.2
Build-Depends: asciidoctor,
               bison,
               debhelper-compat (= 13),
               dh-apparmor,
               dh-sequence-installsysusers,
               gnutls-bin <!nocheck>,
               iproute2 [linux-any] <!nocheck>,
               libcap-dev [linux-any],
               libedit-dev,
               libgnutls28-dev,
               libseccomp-dev (>= 2.5.5-2~) [amd64 arm64 armel armhf hppa i386 loong64 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390x x32],
               nettle-dev,
               pkgconf,
               pps-tools [linux-any],
               procps <!nocheck>
Homepage: https://chrony-project.org
Vcs-Git: https://salsa.debian.org/debian/chrony.git -b debian/latest
Vcs-Browser: https://salsa.debian.org/debian/chrony

Package: chrony
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: iproute2 [linux-any],
         tzdata,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: dnsutils,
          gpsd,
          networkd-dispatcher
Breaks: network-manager (<< 1.20.0-1~)
Conflicts: time-daemon
Provides: time-daemon
Replaces: time-daemon
Description: Versatile implementation of the Network Time Protocol
 It consists of a pair of programs:
 .
 chronyd: This is a daemon which runs in the background on the system.
 It obtains measurements (e.g., via the network) of the system's offset
 relative to other systems, and adjusts the system time accordingly. For
 isolated systems, the user can periodically enter the correct time by
 hand (using 'chronyc'). In either case, 'chronyd' determines the rate
 at which the computer gains or loses time, and compensates for this.
 Chronyd implements the NTP protocol and can act as either a client or
 a server, or both.
 .
 chronyc: This is a command-line driven control and monitoring program.
 An administrator can use this to fine-tune various parameters within
 the daemon, add or delete servers etc whilst the daemon is running.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/dpkg/buildtools.mk
export CC

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

BASE=debian/chrony

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --  --mandir=/usr/share/man \
		--sysconfdir=/etc/chrony \
		--with-chronyc-user=_chrony \
		--with-user=_chrony \
		--enable-scfilter \
		--chronyrundir=/run/chrony \
		--with-ntp-era=$(shell date -d '1970-01-01 00:00:00+00:00' +'%s') \
		--enable-ntp-signd \
		--with-hwclockfile=/etc/adjtime \
		--with-pidfile=/run/chrony/chronyd.pid \
		--host-system=Linux

override_dh_install:
	dh_install
	install -m 0640 -t $(BASE)/usr/share/chrony/ debian/chrony.keys
	install -m 0755 -T examples/chrony.nm-dispatcher.dhcp ${BASE}/usr/lib/NetworkManager/dispatcher.d/20-chrony-dhcp
	install -m 0755 -T examples/chrony.nm-dispatcher.onoffline $(BASE)/usr/lib/NetworkManager/dispatcher.d/20-chrony-onoffline
	install -m 0644 -T examples/chrony.logrotate $(BASE)/etc/logrotate.d/chrony
	dh_apparmor --profile-name=usr.sbin.chronyd -pchrony
	install -D -p -m 0644 debian/chrony.dhcp $(BASE)/etc/dhcp/dhclient-exit-hooks.d/chrony

override_dh_fixperms:
	dh_fixperms -X usr/share/chrony/chrony.keys

override_dh_installinit:
	dh_installinit
# Disable the system call filter on architectures mentioned below
# due to missing support in libseccomp and/or in the Linux kernel.
ifneq (,$(filter $(DEB_HOST_ARCH), alpha ia64 m68k sh4 sparc64))
	sed -i '/DAEMON_OPTS=/s/"-F 1"/""/' $(BASE)/etc/default/chrony
endif

override_dh_installsystemd:
	dh_installsystemd chrony.service
	dh_installsystemd --name=chrony-wait --no-enable --no-start chrony-wait.service
	dh_installsystemd --name=chronyd-restricted --no-enable --no-start chronyd-restricted.service
	dh_installsystemd --name=chrony-dnssrv@ chrony-dnssrv@.service
	dh_installsystemd --name=chrony-dnssrv@ --no-enable --no-start chrony-dnssrv@.timer

=== debian/watch ===
Version: 5

Source: https://chrony-project.org/releases/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Sig-Url-Mangle: s/@ARCHIVE_EXT@/-tar-gz-asc.txt/
Uversion-Mangle: auto

## chrony exporter-0.12.0

=== Makefile ===
DOCKER_ARCHS      ?= amd64 arm64 armv7
DOCKER_IMAGE_NAME ?= chrony-exporter
DOCKER_REPO       ?= superq

include Makefile.common

## chrony exporter-0.12.0-deps

=== github.com/prometheus/client_golang@v1.21.0/Makefile ===
# Copyright 2018 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

include .bingo/Variables.mk
include Makefile.common

.PHONY: test
test: deps common-test

.PHONY: test-short
test-short: deps common-test-short

.PHONY: generate-go-collector-test-files
file := supported_go_versions.txt
VERSIONS := $(shell cat ${file})
generate-go-collector-test-files:
	for GO_VERSION in $(VERSIONS); do \
		docker run \
			--platform linux/amd64 \
			--rm -v $(PWD):/workspace \
			-w /workspace \
			golang:$$GO_VERSION \
			bash ./generate-go-collector.bash; \
	done; \
	go mod tidy

.PHONY: fmt
fmt: common-format
	$(GOIMPORTS) -local github.com/prometheus/client_golang -w .

=== github.com/facebook/time@v0.0.0-20241025155019-5fd305f7108f/cmd/fbclock-bin/Makefile ===
CC=gcc
CFLAGS=-Wall -g -lrt -msse4.2 -std=gnu11

fbclock-bin:
	$(CC) $(CFLAGS) -o fbclock-bin fbclock-bin.c ../../fbclock/fbclock.c

.PHONY: clean

clean:
	rm -f ./fbclock-bin

## chrony exporter-0.12.1-deps

=== github.com/prometheus/client_golang@v1.22.0/Makefile ===
# Copyright 2018 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

include .bingo/Variables.mk
include Makefile.common

.PHONY: deps
deps:
	$(MAKE) common-deps
	cd exp && $(GO) mod tidy && $(GO) mod download

.PHONY: test
test: deps common-test test-exp

.PHONY: test-short
test-short: deps common-test-short test-exp-short

.PHONY: generate-go-collector-test-files
file := supported_go_versions.txt
VERSIONS := $(shell cat ${file})
generate-go-collector-test-files:
	for GO_VERSION in $(VERSIONS); do \
		docker run \
			--platform linux/amd64 \
			--rm -v $(PWD):/workspace \
			-w /workspace \
			golang:$$GO_VERSION \
			bash ./generate-go-collector.bash; \
	done; \
	go mod tidy

.PHONY: fmt
fmt: common-format $(GOIMPORTS)
	$(GOIMPORTS) -local github.com/prometheus/client_golang -w .

.PHONY: proto
proto: ## Regenerate Go from remote write proto.
proto: $(BUF)
	@echo ">> regenerating Prometheus Remote Write proto"
	@cd exp/api/remote/genproto && $(BUF) generate
	@cd exp/api/remote && find genproto/ -type f -exec sed -i '' 's/protohelpers "github.com\/planetscale\/vtprotobuf\/protohelpers"/protohelpers "github.com\/prometheus\/client_golang\/exp\/internal\/github.com\/planetscale\/vtprotobuf\/protohelpers"/g' {} \;
	# For some reasons buf generates this unused import, kill it manually for now and reformat.
	@cd exp/api/remote && find genproto/ -type f -exec sed -i '' 's/_ "github.com\/gogo\/protobuf\/gogoproto"//g' {} \;
	@cd exp/api/remote && go fmt ./genproto/...
	$(MAKE) fmt

.PHONY: test-exp
test-exp:
	cd exp && $(GOTEST) $(test-flags) $(GOOPTS) $(pkgs)

.PHONY: test-exp-short
test-exp-short:
	cd exp && $(GOTEST) -short $(GOOPTS) $(pkgs)

=== github.com/facebook/time@v0.0.0-20250502163358-2079056834d4/fbclock/Makefile ===
CC=gcc
CFLAGS=-Wall -g -lrt -msse4.2 -std=gnu11
CPP=g++
CPPFLAGS=-fpermissive -lrt -lpthread -msse4.2 -lgtest -g
AR=ar
ARFLAGS=rcs

.PHONY: clean test

BUILDDIR ?= .

fbclock:
	mkdir -p $(BUILDDIR)
	$(CC) $(CFLAGS) -shared -o $(BUILDDIR)/fbclock.so -fPIC fbclock.c

fbclock-static:
	mkdir -p $(BUILDDIR)
	$(CC) $(CFLAGS) -c -fPIC -o $(BUILDDIR)/fbclock.o fbclock.c
	$(AR) $(ARFLAGS) $(BUILDDIR)/libfbclock.a $(BUILDDIR)/fbclock.o

test:
	$(CPP) $(CPPFLAGS) -o fbclock-test test/test.cpp fbclock.c
	./fbclock-test

clean:
	rm -f ./fbclock.so ./fbclock-test ./fbclock.so

=== github.com/facebook/time@v0.0.0-20250502163358-2079056834d4/cmd/fbclock-bin/Makefile ===
CC=gcc
CFLAGS+=-g -lrt

arch := $(shell arch)
ifeq ($(arch),x86_64)
	CFLAGS += -msse4.2
endif

fbclock-bin:
	$(CC) $(CFLAGS) -o fbclock-bin fbclock-bin.c ../../fbclock/fbclock.c

.PHONY: clean

clean:
	rm -f ./fbclock-bin
